#
# spec file for package libgba (Version 0.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  devkitadv
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devkitadv devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libgba
Copyright:    LGPL
Group:        Development
Requires:     devkitadv
Autoreqprov:  on
Version:      0.0.1
Release:      24
Summary:      GameBoy Advance Development Library
Source: %{name}-%{version}.tar.bz2
Patch:  %{name}.dif

%description
This is a library that allows developers using the unofficial Gameboy Advance Devleopment Kit (package "devkitadv") to easily access the hardware features of the GBA platform. It supports DMA, video, joystick, timers, backgrounds, sprites and more.

Authors:
--------
    Chuck Mason <chuckjr@unbounded.com> 
    

SuSE series: d

%prep
%setup -n %{name}
%patch

%build
export PATH=/opt/devkitadv/bin:$PATH
make
cd tests
make
cd tools
for i in bin2c.c make*
do
	gcc $RPM_OPT_FLAGS -o ${i%%.c} $i
	install ${i%%.c} /opt/devkitadv/bin
done
cd ../../extra/demos/copper
make

%install
sh ./install.sh /opt/devkitadv
rm -f tests/*.elf tests/*.o
rm -f extra/demos/copper/*.elf extra/demos/copper/*.o
mv tests/tools .

%files
%doc tests extra/demos/copper
%doc LICENSE NAMING README
/opt/devkitadv/bin/bin2c
/opt/devkitadv/bin/makegmap
/opt/devkitadv/bin/makemap
/opt/devkitadv/include/gba.h
/opt/devkitadv/include/gba_defs.h
/opt/devkitadv/include/gba_regs.h
/opt/devkitadv/include/gbabkg.h
/opt/devkitadv/include/gbadma.h
/opt/devkitadv/include/gbairq.h
/opt/devkitadv/include/gbajoy.h
/opt/devkitadv/include/gbaobj.h
/opt/devkitadv/include/gbasfx.h
/opt/devkitadv/include/gbatim.h
/opt/devkitadv/include/gbavid.h
/opt/devkitadv/include/gtypes.h
/opt/devkitadv/include/libc.h
/opt/devkitadv/lib/libgba.a

%changelog -n libgba
* Wed Sep 05 2001 - uli@suse.de
- initial package
